Package twisted :: Package lore :: Module slides

[frames | no frames]

## Module twisted.lore.slides

Rudimentary slide support for Lore.

TODO:

- Complete mgp output target
  - syntax highlighting
  - saner font handling
  - probably lots more
- Add HTML output targets
  - one slides per page (with navigation links)
  - all in one page

Example input file:

       <html>

       <head><title>Title of talk</title></head>

       <body>
       <h1>Title of talk</h1>

       <h2>First Slide</h2>

       <ul>
         <li>Bullet point</li>
         <li>Look ma, I'm <strong>bold</strong>!</li>
         <li>... etc ...</li>
       </ul>

       <h2>Second Slide</h2>

       <pre class="python">
       # Sample code sample.
       print "Hello, World!"
       </pre>

       </body>

       </html>

Classes
`HTMLSlide` |
`MagicpointOutput` |
`PagebreakLatex` |
`ProsperSlides` |
`SlidesProcessingFunctionFactory` |
`TwoPagebreakLatex` |

Function Summary
| `convertFile(filename, outputter, template, ext)`
| `doFile(filename, linkrel, ext, url, templ, options, outfileGenerator)`
| `getOutputFileName(originalFileName, outputExtension, index)`
| `insertPrevNextLinks(slides, filename, ext)`
| `munge(document, template, linkrel, d, fullpath, ext, url, config)`
| `splitIntoSlides(document)`

Variable Summary
`dict` | `entities` = `{'amp': '&', 'lt': '<', 'gt': '>', 'copy': '(...`
`SlidesProcessingFunctionFactory` | `factory` = `<twisted.lore.slides.SlidesProcessingFunctionF...`
`dict` | `hacked_entities` = `{'amp': ' &', 'lt': ' <', 'gt': ' >', ...`

Variable Details

### entities

  Type:
    `dict`
  Value:

        {'amp': '&', 'lt': '<', 'gt': '>', 'copy': '(c)', 'quot': '"'}

### factory

  Type:
    `SlidesProcessingFunctionFactory`
  Value:

        <twisted.lore.slides.SlidesProcessingFunctionFactory instance at 0x8af\
        6174>

### hacked_entities

  Type:
    `dict`
  Value:

        {'amp': ' &', 'lt': ' <', 'gt': ' >', 'copy': ' (c)', 'quot': ' "'}

Generated by Epydoc 2.0 on Sat May 15 20:08:16 2004 | http://epydoc.sf.net